<?php
function jestOdkryta($liczba): bool
{
    if ($liczba <= 0) {
        return false;
    }
    $cyfry = str_split((string)$liczba);
    foreach ($cyfry as $cyfra) {
        if ($cyfra == '0') {
            continue;
        }
        if ($liczba % (int)$cyfra != 0) {
            return false;
        }
    }
    return true;
}
echo "Zadanie P51a - Liczba odkryta<br>";
echo jestOdkryta(24) ? "True" : "False";